local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadNAProfile()
local db = LibStub("AceDB-3.0"):New(NameplateAurasAceDB, nil, true)

if(NameplateAurasAceDB["profiles"]["GennUI"])then
	db:SetProfile("GennUI")
else
	NameplateAurasAceDB["profiles"]["GennUI"] = {
			["StacksFontScale"] = 1.5,
			["DefaultIconSizeHeight"] = 32,
			["ShowBuffBorders"] = false,
			["FrameAnchor"] = "LEFT",
			["KeepAspectRatio"] = true,
			["DefaultIconSizeWidth"] = 32,
			["Font"] = "Futura PT Medium",
			["StacksTextYOffset"] = 0,
			["HidePlayerBlizzardFrame"] = true,
			["FrameAnchorToNameplate"] = "RIGHT",
			["DBVersion"] = 19,
			["IconAnchor"] = 3,
			["IconZoom"] = 0,
			["IconXOffset"] = 2,
			["DefaultSpellsLastSetImported"] = 2,
			["ShowDebuffBorders"] = false,
			["IconYOffset"] = 0,
			["StacksTextXOffset"] = 0,
			["CustomSpells2"] = {
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Shield Wall",
				}, -- [1]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Smoke Bomb",
				}, -- [2]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Imprison",
				}, -- [3]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Avenger's Shield",
				}, -- [4]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Pillar of Frost",
				}, -- [5]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Ice Block",
				}, -- [6]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Pain Suppression",
				}, -- [7]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Innervate",
				}, -- [8]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Polymorph",
				}, -- [9]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Unending Resolve",
				}, -- [10]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Alter Time",
				}, -- [11]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Horde Flag",
				}, -- [12]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Survival Instincts",
				}, -- [13]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Mind Bomb",
				}, -- [14]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Diffuse Magic",
				}, -- [15]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Repentance",
				}, -- [16]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Touch of Karma",
				}, -- [17]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Tracker's Net",
				}, -- [18]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Netherstorm Flag",
				}, -- [19]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Kidney Shot",
				}, -- [20]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Blind",
				}, -- [21]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Ice Floes",
				}, -- [22]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Serenity",
				}, -- [23]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Mending Bandage",
				}, -- [24]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Storm, Earth, and Fire",
				}, -- [25]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Roar of Sacrifice",
				}, -- [26]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Soul Harvest",
				}, -- [27]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Dragon's Breath",
				}, -- [28]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Binding Shot",
				}, -- [29]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Mighty Bash",
				}, -- [30]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Anti-Magic Shell",
				}, -- [31]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Combat Readiness",
				}, -- [32]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Ascendance",
				}, -- [33]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Incapacitating Roar",
				}, -- [34]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Barkskin",
				}, -- [35]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Howl of Terror",
				}, -- [36]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Icy Veins",
				}, -- [37]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Fortifying Brew",
				}, -- [38]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Sap",
				}, -- [39]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Blur",
				}, -- [40]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Fel Eruption",
				}, -- [41]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Shadowfury",
				}, -- [42]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Aura Mastery",
				}, -- [43]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Spell Reflection",
				}, -- [44]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Celestial Alignment",
				}, -- [45]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Gnaw",
				}, -- [46]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Dampen Harm",
				}, -- [47]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Mortal Coil",
				}, -- [48]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Cheap Shot",
				}, -- [49]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Wyvern Sting",
				}, -- [50]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Dispersion",
				}, -- [51]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Shackle Undead",
				}, -- [52]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Blinding Sleet",
				}, -- [53]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Fear",
				}, -- [54]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Guardian of Ancient Kings",
				}, -- [55]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Hex",
				}, -- [56]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Evasion",
				}, -- [57]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Casting Circle",
				}, -- [58]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Ironbark",
				}, -- [59]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Leap",
				}, -- [60]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Solar Beam",
				}, -- [61]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Astral Shift",
				}, -- [62]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Gouge",
				}, -- [63]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Garrote - Silence",
				}, -- [64]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Netherwalk",
				}, -- [65]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Archangel",
				}, -- [66]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Alliance Flag",
				}, -- [67]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Nature's Vigil",
				}, -- [68]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Deterrence",
				}, -- [69]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Master's Call",
				}, -- [70]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Killing Spree",
				}, -- [71]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Chaos Nova",
				}, -- [72]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Meteor Strike",
				}, -- [73]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Power Infusion",
				}, -- [74]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Guardian of the Forgotten Queen",
				}, -- [75]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Ranger's Net",
				}, -- [76]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Earthgrab",
				}, -- [77]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Blessing of Freedom",
				}, -- [78]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Intimidating Shout",
				}, -- [79]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Ice Form",
				}, -- [80]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Predatory Swiftness",
				}, -- [81]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Dark Pact",
				}, -- [82]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Freezing Trap",
				}, -- [83]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Paralysis",
				}, -- [84]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Sharpen Blade",
				}, -- [85]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Recklessness",
				}, -- [86]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Nether Bond",
				}, -- [87]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Psychic Scream",
				}, -- [88]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Mesmerize",
				}, -- [89]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Darkness",
				}, -- [90]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Charge",
				}, -- [91]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Spectral Sight",
				}, -- [92]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Narrow Escape",
				}, -- [93]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Sin and Punishment",
				}, -- [94]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Last Word",
				}, -- [95]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Unstable Affliction",
				}, -- [96]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Ring of Frost",
				}, -- [97]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Eye for an Eye",
				}, -- [98]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Asphyxiate",
				}, -- [99]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Voidform",
				}, -- [100]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Blinding Light",
				}, -- [101]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Blessing of Protection",
				}, -- [102]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Metamorphosis",
				}, -- [103]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Entangling Roots",
				}, -- [104]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Mind Control",
				}, -- [105]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Aspect of the Turtle",
				}, -- [106]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Leg Sweep",
				}, -- [107]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Freezing Arrow",
				}, -- [108]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Seduction",
				}, -- [109]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Nether Ward",
				}, -- [110]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Die by the Sword",
				}, -- [111]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Storm Bolt",
				}, -- [112]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Entrapment",
				}, -- [113]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Divine Shield",
				}, -- [114]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Static Charge",
				}, -- [115]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Shadow Blades",
				}, -- [116]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Axe Toss",
				}, -- [117]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Temporal Shield",
				}, -- [118]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Arcane Power",
				}, -- [119]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Zen Meditation",
				}, -- [120]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Shadow Reflection",
				}, -- [121]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Strangulate",
				}, -- [122]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Avatar",
				}, -- [123]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Ardent Defender",
				}, -- [124]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Cyclone",
				}, -- [125]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Silence",
				}, -- [126]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["glowType"] = 3,
					["iconSizeHeight"] = 32,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["checkSpellID"] = {
						[163505] = true,
					},
					["playerNpcMode"] = 1,
					["animationType"] = 2,
					["spellName"] = "Rake",
				}, -- [127]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Berserker Rage",
				}, -- [128]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Bladestorm",
				}, -- [129]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Adrenaline Rush",
				}, -- [130]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Life Cocoon",
				}, -- [131]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Dark Archangel",
				}, -- [132]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Vampiric Embrace",
				}, -- [133]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Hammer of Justice",
				}, -- [134]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Ethereal Form",
				}, -- [135]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Cloak of Shadows",
				}, -- [136]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Freeze",
				}, -- [137]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Mass Entanglement",
				}, -- [138]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Fists of Fury",
				}, -- [139]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Shockwave",
				}, -- [140]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Grounding Totem Effect",
				}, -- [141]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Scatter Shot",
				}, -- [142]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Master of the Elements",
				}, -- [143]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Maim",
				}, -- [144]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Banish",
				}, -- [145]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Between the Eyes",
				}, -- [146]
				{
					["enabledState"] = 1,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Bloodlust",
				}, -- [147]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Holy Word: Chastise",
				}, -- [148]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Corpse Shield",
				}, -- [149]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Icebound Fortitude",
				}, -- [150]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Frost Nova",
				}, -- [151]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Guardian Spirit",
				}, -- [152]
				{
					["enabledState"] = 2,
					["auraType"] = 3,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Blessing of Sacrifice",
				}, -- [153]
				{
					["enabledState"] = 1,
					["auraType"] = 1,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Cheat Death",
				}, -- [154]
				{
					["enabledState"] = 2,
					["auraType"] = 2,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Disarm",
				}, -- [155]
				{
					["enabledState"] = 1,
					["auraType"] = 1,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Prismatic Barrier",
				}, -- [156]
				{
					["enabledState"] = 1,
					["auraType"] = 2,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Duel",
				}, -- [157]
				{
					["enabledState"] = 2,
					["auraType"] = 2,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "War Banner",
				}, -- [158]
				{
					["enabledState"] = 2,
					["auraType"] = 2,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Intimidating Roar",
				}, -- [159]
				{
					["enabledState"] = 1,
					["auraType"] = 1,
					["showOnEnemies"] = true,
					["animationDisplayMode"] = 1,
					["showOnFriends"] = true,
					["animationType"] = 2,
					["animationTimer"] = 10,
					["iconSizeWidth"] = 32,
					["iconSizeHeight"] = 32,
					["playerNpcMode"] = 1,
					["glowType"] = 3,
					["spellName"] = "Blazing Barrier",
				}, -- [160]
			},
			["InterruptsGlowType"] = 1,
			["StacksFont"] = "Futura PT Medium",
			["BorderThickness"] = 1,
		},
	db:SetProfile("GennUI")
end
end